% readme.m  This README file describes the steps that need to be taken to 
% achieve full-functionality from the FBMP version 1.3 software package, 
% as well as a legal disclaimer and copyright notice
% 
% 
% Requirements
% ------------
% 1. A Windows, Unix/Linux, Macintosh machine capable of running MathWorks 
% MATLAB software.
% 
% 2. MathWorks MATLAB release 2007a or later.  The software package may 
% function properly on previous releases of Matlab, but the authors have not 
% developed the software to function on such previous releases.
% 
% 3. MATLAB's Parallel Computing Toolbox, to optionally reproduce the
% results included in the paper "Fast Bayesian Matching Pursuit: Model
% Uncertainty and Parameter Estimation for Sparse Linear Models," Philip
% Schniter, Lee C. Potter, and Justin Ziniel
%
% 4. Additional sparse reconstruction algorithm MATLAB m-files, as well as
% a file for performing wavelet transformations in MATLAB (see below), to
% optionally reproduce figures from the paper "Fast Bayesian Matching 
% Pursuit: Model Uncertainty and Parameter Estimation for Sparse Linear 
% Models," Philip Schniter, Lee C. Potter, and Justin Ziniel
% 
% 
% Installation Instructions
% -------------------------
% 1. Extract the zipped program files to a desired directory where the FBMP 
% software package will reside.
% 
% 2. In order to make use of some of the MATLAB M-files, (i.e. when 
% generating the figures that accompanied an FBMP manuscript), it is 
% necessary for MATLAB to have the M-files for running other ancillary sparse
% reconstruction algorithms and performing wavelet transforms, including:
% 	a) SparseBayes v1.0, available at 
%     http://www.miketipping.com/index.php?page=rvm (as of April 2, 2009)
% 		i) Function called: sbl_estimate.m
% 	b) SparseLab 2.1 revision 100, available at 
%     http://sparselab.stanford.edu (as of April 2, 2009)
% 		i) Function called: SolveOMP.m
% 		ii) Function called: SolveStOMP.m
% 	c) GPSR v5.0, available at 
%     http://www.lx.it.pt/~mtf/GPSR/ (as of September 28, 2008)
% 		i) Function called: GPSR_Basic.m
% 	d) BCS, available at 
%     http://people.ee.duke.edu/~lihan/cs/ (as of April 2, 2009)
% 		i) Function called: BCS_fast_rvm.m
%   e) VB-BCS, available at
%     http://people.ee.duke.edu/~lihan/cs/ (as of April 2, 2009)
%       i) Function called: BCSvb.m
%   f) Pascal Getreuer's "Wavelet Transforms in MATLAB", available at
%     http://www.mathworks.com/matlabcentral/fileexchange/11133  (as of
%     April 2, 2009)
%       i) Function called: wavelet.m
% The directories containing each of the above M-files should be included in 
% the MATLAB path during execution, or these algorithms will not appear in 
% the algorithmic comparison plots and/or the wavelet recovery code will
% not execute.
% 
% 
% Warranty Disclaimer
% -------------------
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS 
% IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
% THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 
% PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
% CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
% EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
% PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
% PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
% LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
% NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
% SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
% 
% 
% Copyright
% ---------
% The source codes contained in the files associated with this FBMP version 
% 1.2 software package are copyrighted (c) by Philip Schniter, Lee C. 
% Potter, and Justin Ziniel, 2008.  The ancillary sparse reconstruction 
% algorithms used by this software package are the copyright of their 
% respective owners.
